Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 689016

Summary: dev-qt/*-5.13.1 version bump
Product: Gentoo Linux Reporter: Eugene Shalygin <eugene.shalygin>
Component: Current packagesAssignee: Qt Bug Alias <qt>
Status: RESOLVED FIXED    
Severity: normal CC: ab4bd, alex_y_xu, bugs.gentoo.org, gerbilsoft, klaus818, mail, perfect007gentleman, polynomial-c, ua_gentoo_bugzilla, wielkiegie
Priority: Normal Keywords: InOverlay, PMASKED
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 691462, 693668    
Bug Blocks:    

Description Eugene Shalygin 2019-06-30 15:58:45 UTC
https://wiki.qt.io/Qt_5.13_Release
Comment 1 Davide Pesavento gentoo-dev 2019-06-30 19:46:31 UTC
I believe we'll do at least one more 5.12.x bump before jumping to 5.13
Comment 2 Andreas Sturmlechner gentoo-dev 2019-07-16 18:50:33 UTC
There appears to be so much breakage that I would not care to look at it until 5.13.1.
Comment 3 rnddim 2019-08-25 05:29:01 UTC
Can you provide a link or something explaining these breakages? I had been wondering why we haven't seen a new Qt show up in gentoo for a while.
Comment 4 Andreas Sturmlechner gentoo-dev 2019-09-11 21:31:36 UTC
Major qtwebengine bug: https://bugreports.qt.io/browse/QTBUG-77364
Comment 5 rnddim 2019-10-12 15:55:02 UTC
(In reply to Andreas Sturmlechner from comment #4)
> Major qtwebengine bug: https://bugreports.qt.io/browse/QTBUG-77364

Looking at that link, the bug appears to now be fixed in 5.13.2 and a beta version of 5.14.0.
Comment 6 Andreas Sturmlechner gentoo-dev 2019-10-12 19:24:04 UTC
It's fixed in our 5.13.1 already.
Comment 7 Larry the Git Cow gentoo-dev 2019-11-01 12:01:09 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2592a62f5b30a672e915879ac9134f68f20c5e38

commit 2592a62f5b30a672e915879ac9134f68f20c5e38
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2019-11-01 11:58:56 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2019-11-01 12:00:56 +0000

    dev-qt: Add Qt 5.13.2
    
    Closes: https://bugs.gentoo.org/689016
    Package-Manager: Portage-2.3.78, Repoman-2.3.17
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 dev-qt/assistant/Manifest                          |   1 +
 dev-qt/assistant/assistant-5.13.2.ebuild           |  55 +++++++
 dev-qt/designer/Manifest                           |   1 +
 dev-qt/designer/designer-5.13.2.ebuild             |  57 +++++++
 dev-qt/linguist-tools/Manifest                     |   1 +
 dev-qt/linguist-tools/linguist-tools-5.13.2.ebuild |  35 +++++
 dev-qt/linguist/Manifest                           |   1 +
 dev-qt/linguist/linguist-5.13.2.ebuild             |  48 ++++++
 dev-qt/pixeltool/Manifest                          |   1 +
 dev-qt/pixeltool/pixeltool-5.13.2.ebuild           |  25 +++
 dev-qt/qdbus/Manifest                              |   1 +
 dev-qt/qdbus/qdbus-5.13.2.ebuild                   |  25 +++
 dev-qt/qdbusviewer/Manifest                        |   1 +
 dev-qt/qdbusviewer/qdbusviewer-5.13.2.ebuild       |  45 ++++++
 dev-qt/qdoc/Manifest                               |   1 +
 dev-qt/qdoc/qdoc-5.13.2.ebuild                     |  40 +++++
 dev-qt/qt-docs/Manifest                            |  54 +++++++
 dev-qt/qt-docs/qt-docs-5.13.2_p201910220817.ebuild |  89 +++++++++++
 dev-qt/qt3d/Manifest                               |   1 +
 dev-qt/qt3d/qt3d-5.13.2.ebuild                     |  34 ++++
 dev-qt/qtbluetooth/Manifest                        |   1 +
 dev-qt/qtbluetooth/qtbluetooth-5.13.2.ebuild       |  33 ++++
 dev-qt/qtcharts/Manifest                           |   1 +
 dev-qt/qtcharts/qtcharts-5.13.2.ebuild             |  29 ++++
 dev-qt/qtconcurrent/Manifest                       |   1 +
 dev-qt/qtconcurrent/qtconcurrent-5.13.2.ebuild     |  23 +++
 dev-qt/qtcore/Manifest                             |   1 +
 dev-qt/qtcore/qtcore-5.13.2.ebuild                 |  84 ++++++++++
 dev-qt/qtdatavis3d/Manifest                        |   1 +
 dev-qt/qtdatavis3d/qtdatavis3d-5.13.2.ebuild       |  31 ++++
 dev-qt/qtdbus/Manifest                             |   1 +
 dev-qt/qtdbus/qtdbus-5.13.2.ebuild                 |  43 +++++
 dev-qt/qtdeclarative/Manifest                      |   1 +
 dev-qt/qtdeclarative/qtdeclarative-5.13.2.ebuild   |  53 +++++++
 dev-qt/qtdiag/Manifest                             |   1 +
 dev-qt/qtdiag/qtdiag-5.13.2.ebuild                 |  36 +++++
 dev-qt/qtgamepad/Manifest                          |   1 +
 dev-qt/qtgamepad/qtgamepad-5.13.2.ebuild           |  35 +++++
 dev-qt/qtgraphicaleffects/Manifest                 |   1 +
 .../qtgraphicaleffects-5.13.2.ebuild               |  21 +++
 dev-qt/qtgui/Manifest                              |   1 +
 dev-qt/qtgui/qtgui-5.13.2.ebuild                   | 174 +++++++++++++++++++++
 dev-qt/qthelp/Manifest                             |   1 +
 dev-qt/qthelp/qthelp-5.13.2.ebuild                 |  29 ++++
 dev-qt/qtimageformats/Manifest                     |   1 +
 dev-qt/qtimageformats/qtimageformats-5.13.2.ebuild |  30 ++++
 dev-qt/qtlocation/Manifest                         |   1 +
 dev-qt/qtlocation/qtlocation-5.13.2.ebuild         |  45 ++++++
 dev-qt/qtmultimedia/Manifest                       |   1 +
 dev-qt/qtmultimedia/qtmultimedia-5.13.2.ebuild     |  68 ++++++++
 dev-qt/qtnetwork/Manifest                          |   1 +
 dev-qt/qtnetwork/qtnetwork-5.13.2.ebuild           |  60 +++++++
 dev-qt/qtnetworkauth/Manifest                      |   1 +
 dev-qt/qtnetworkauth/qtnetworkauth-5.13.2.ebuild   |  20 +++
 dev-qt/qtopengl/Manifest                           |   1 +
 dev-qt/qtopengl/qtopengl-5.13.2.ebuild             |  34 ++++
 dev-qt/qtpaths/Manifest                            |   1 +
 dev-qt/qtpaths/qtpaths-5.13.2.ebuild               |  23 +++
 dev-qt/qtplugininfo/Manifest                       |   1 +
 dev-qt/qtplugininfo/qtplugininfo-5.13.2.ebuild     |  23 +++
 dev-qt/qtpositioning/Manifest                      |   1 +
 dev-qt/qtpositioning/qtpositioning-5.13.2.ebuild   |  40 +++++
 dev-qt/qtprintsupport/Manifest                     |   1 +
 dev-qt/qtprintsupport/qtprintsupport-5.13.2.ebuild |  42 +++++
 dev-qt/qtquickcontrols/Manifest                    |   1 +
 .../qtquickcontrols/qtquickcontrols-5.13.2.ebuild  |  32 ++++
 dev-qt/qtquickcontrols2/Manifest                   |   1 +
 .../qtquickcontrols2-5.13.2.ebuild                 |  30 ++++
 dev-qt/qtscript/Manifest                           |   1 +
 dev-qt/qtscript/qtscript-5.13.2.ebuild             |  36 +++++
 dev-qt/qtscxml/Manifest                            |   1 +
 dev-qt/qtscxml/qtscxml-5.13.2.ebuild               |  19 +++
 dev-qt/qtsensors/Manifest                          |   1 +
 dev-qt/qtsensors/qtsensors-5.13.2.ebuild           |  28 ++++
 dev-qt/qtserialbus/Manifest                        |   1 +
 dev-qt/qtserialbus/qtserialbus-5.13.2.ebuild       |  20 +++
 dev-qt/qtserialport/Manifest                       |   1 +
 dev-qt/qtserialport/qtserialport-5.13.2.ebuild     |  27 ++++
 dev-qt/qtspeech/Manifest                           |   1 +
 dev-qt/qtspeech/qtspeech-5.13.2.ebuild             |  20 +++
 dev-qt/qtsql/Manifest                              |   1 +
 .../qtsql/files/qtsql-5.13.1-postgresql-12.patch   |  97 ++++++++++++
 dev-qt/qtsql/qtsql-5.13.2.ebuild                   |  60 +++++++
 dev-qt/qtsvg/Manifest                              |   1 +
 dev-qt/qtsvg/qtsvg-5.13.2.ebuild                   |  23 +++
 dev-qt/qttest/Manifest                             |   1 +
 dev-qt/qttest/qttest-5.13.2.ebuild                 |  33 ++++
 dev-qt/qttranslations/Manifest                     |   1 +
 dev-qt/qttranslations/qttranslations-5.13.2.ebuild |  19 +++
 dev-qt/qtvirtualkeyboard/Manifest                  |   1 +
 .../qtvirtualkeyboard-5.13.2.ebuild                |  42 +++++
 dev-qt/qtwayland/Manifest                          |   1 +
 dev-qt/qtwayland/qtwayland-5.13.2.ebuild           |  43 +++++
 dev-qt/qtwebchannel/Manifest                       |   1 +
 dev-qt/qtwebchannel/qtwebchannel-5.13.2.ebuild     |  26 +++
 dev-qt/qtwebengine/Manifest                        |   1 +
 dev-qt/qtwebengine/qtwebengine-5.13.2.ebuild       | 131 ++++++++++++++++
 dev-qt/qtwebsockets/Manifest                       |   1 +
 dev-qt/qtwebsockets/qtwebsockets-5.13.2.ebuild     |  27 ++++
 dev-qt/qtwebview/Manifest                          |   1 +
 dev-qt/qtwebview/qtwebview-5.13.2.ebuild           |  21 +++
 dev-qt/qtwidgets/Manifest                          |   1 +
 dev-qt/qtwidgets/qtwidgets-5.13.2.ebuild           |  56 +++++++
 dev-qt/qtx11extras/Manifest                        |   1 +
 dev-qt/qtx11extras/qtx11extras-5.13.2.ebuild       |  21 +++
 dev-qt/qtxml/Manifest                              |   1 +
 dev-qt/qtxml/qtxml-5.13.2.ebuild                   |  29 ++++
 dev-qt/qtxmlpatterns/Manifest                      |   1 +
 dev-qt/qtxmlpatterns/qtxmlpatterns-5.13.2.ebuild   |  30 ++++
 109 files changed, 2406 insertions(+)